﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace LINQBind
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            var evenProducts = from product in Data.Products
                               where product.ID % 2 == 0
                               select product;

            this.radGridView1.DataSource = evenProducts.ToList();

            this.radGridView1.Columns.Remove("Category");

            GridViewComboBoxColumn categoryColumn = new GridViewComboBoxColumn("Category", "Category");
            categoryColumn.ValueMember = "Name";
            categoryColumn.DisplayMember = "Name";
            this.radGridView1.Columns.Add(categoryColumn);

            var categories = from category in Data.Categories
                             select category;

            categoryColumn.DataSource = categories.ToList();
        }
    }
}
