﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LINQBind
{
    public class Category
    {
        private string name;
        private DateTime modified;

        public Category(string name)
        {
            this.name = name;
            this.modified = DateTime.Now;
        }

        public string Name
        {
            get { return this.name; }
            set
            {
                if (value != this.name)
                {
                    this.name = value;
                    this.modified = DateTime.Now;
                }
            }
        }

        public DateTime Modified
        {
            get { return this.modified; }
        }
    }
}
